Bug 1426494 - Remove 'poolmetadatasize' from gdeploy config file, so that gdeploy can manipulate the same
Summary: Remove 'poolmetadatasize' from gdeploy config file, so that gdeploy can manip...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.10
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.13
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-02-24 03:08 UTC by SATHEESARAN
Modified: 2017-04-21 09:36 UTC (History)
2 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: Bug Fix
Doc Text:
'poolmetadatasize' size is defaulted to 16GB in the generated gdeploy configuration. This may not be the right value for smaller disks. Gdeploy computes this value based on the thinpool size, when 'poolmetadatasize' is not specified in the gdeploy config file. So removed this parameter from the generated configuration. If required, user can edit the generated configuration and add this parameter.
Clone Of:
Environment:
Last Closed: 2017-04-21 09:36:13 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: exception+
rule-engine: planning_ack+
rnachimu: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73028 master MERGED gdeploy: remove pool metadata size from gdeploy config. 2017-02-28 19:39:23 UTC
oVirt gerrit 73296 ovirt-4.1 MERGED gdeploy: remove pool metadata size from gdeploy config. 2017-02-28 19:39:34 UTC

Description SATHEESARAN 2017-02-24 03:08:41 UTC
Description of problem:
-----------------------
When 'poolmetadatasize' is provided when creating the thinpool, then we need to allocate the space explicitly in addition to the sum of size of LVs.

To avoid this situation, let gdeploy manipulate the size of poolmetadatasize and that removes the space required for poolmetadatasize from the total available size.

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.11

How reproducible:
-----------------
Often

Steps to Reproduce:
--------------------
1. Provide LVs sizes for 2 LVs

Actual results:
---------------
Thinpool is created with the size which is the sum of sizes of 2 lvs, ignoring the size of 'poolmetadatasize' ( 16GB )

Expected results:
-----------------
thin_pool size = (sum of lv size ) - (poolmetadatasize)

Additional info:
----------------
When 'poolmetadatasize' attribute/key is removed from gdeploy config file, then gdeploy takes the size of thinpool with removing the size of 'poolmetadatasize'

Comment 1 SATHEESARAN 2017-03-08 09:26:56 UTC
Tested with cockpit-ovirt-0.10.7-0.0.13

'poolmetadatasize' is removed from thinpool creation step


Note You need to log in before you can comment on or make changes to this bug.